import { createApp } from 'vue'
import App from './App.vue'

import router from './router'
import store from './store'
import './styles/index.scss'
// 确保在渲染用户提供的HTML内容时，不会执行任何潜在的恶意脚本，从而提高应用的安全性
import vueDomPurifyHTMLPlugin from 'vue-dompurify-html'

createApp(App).use(vueDomPurifyHTMLPlugin).use(router).use(store).mount('#app')
